let $ = jQuery
$(document).ready(function () {
	$("a[href='#']").click(function (e) {
		e.preventDefault()
	})

	const logoFix = () => {
		if ($(window).width() < 992) {
			$('.fixed-header-logo, .normal-logo').addClass('d-none')
			$('#logo img.mobile-logo').addClass('d-block').removeClass('d-none')
		} else {
			$('#logo img.mobile-logo').addClass('d-none').removeClass('d-block')
			$('.fixed-header-logo, .normal-logo').addClass('d-block')
		}

		if ($(window).width() > 991) {
			$(window).scroll(function () {
				if ($('header#header').hasClass('sticky-header')) {
					$('.fixed-header-logo').removeClass('d-none')
					$('.normal-logo').addClass('d-none')
				} else {
					$('.fixed-header-logo').addClass('d-none')
					$('.normal-logo').removeClass('d-none')
				}
			})
		}
	}
	logoFix()

	if ($(window).width() > 991) {
		$('.values-image').css({
			'height': $('.values').height() - $('.values-title').height(),
		})
	} else {
		$('.values-image').css({
			'height': '500px',
		})
	}

	$(window).on('resize', function () {
		logoFix()
	})

	logoFix()

	$('.eH-Area').each(function () {
		$(this).find('.eH').matchHeight()
	})

	$(window).scroll(function () {
		if ($(this).scrollTop() > 100) {
			$('.full-header').addClass('sticky-header')
		} else {
			$('.full-header').removeClass('sticky-header')
		}
	})

	$('.popup-youtube').magnificPopup({
		type: 'iframe',
		iframe: {
			patterns: {
				youtube: {
					index: 'youtube.com/', // String that detects YouTube videos
					id: 'v=', // String that splits the video ID parameter
					src: 'https://www.youtube.com/embed/%id%?autoplay=1', // URL for the iframe source
				},
			},
		},
	})
})

$(window).on('load', function () {
	// Preloader
	$('.loader').fadeOut()
})
